AddCSLuaFile()

DEFINE_BASECLASS "weapon_tttbase"

SWEP.HoldType              = "normal"

if CLIENT then
   SWEP.PrintName          = "Apocalypse Pill"
   SWEP.Slot               = 6

   SWEP.ViewModelFlip      = false
   SWEP.ViewModelFOV = 72
	
	SWEP.EquipMenuData = {
      type = "item_weapon",
      desc = "GOTTA GET A GRIP!\nEPILEPSY WARNING!\nUp to 25 HP, but starts draining.\nDeal 125% damage, but take 110% damage.\nMove faster."
   };
   SWEP.Icon               = "vgui/ttt/icon_bullet"
   SWEP.IconLetter         = "n"
end

SWEP.Base                  = "weapon_tttbase"

SWEP.Kind                  = WEAPON_EQUIP1
SWEP.WeaponID              = nil

SWEP.Primary.Ammo          = nil
SWEP.Primary.Damage        = 12
SWEP.Primary.Cone          = 0.085
SWEP.Primary.Delay         = 0.8
SWEP.Primary.ClipSize      = 1
SWEP.Primary.ClipMax       = 24
SWEP.Primary.DefaultClip   = 6
SWEP.Primary.Automatic     = true
SWEP.Primary.NumShots      = 10
SWEP.Primary.Sound         = Sound( "Weapon_XM1014.Single" )
SWEP.Primary.Recoil        = 7
SWEP.CanBuy = { ROLE_TRAITOR }
SWEP.InLoadoutFor = { nil }
SWEP.LimitedStock = true
SWEP.AllowDrop = true
SWEP.IsSilent = false
SWEP.AutoSpawnable         = false
SWEP.Spawnable             = true
SWEP.AmmoEnt               = nil

SWEP.UseHands              = true
SWEP.ViewModel             = "models/weapons/c_arms.mdl"
SWEP.WorldModel            = "models/props_phx2/garbage_metalcan001a.mdl"

SWEP.IronSightsPos         = Vector(5.081, -9.214, 2)
SWEP.IronSightsAng         = Vector(0.501, 1, 1.201)

function SWEP:PrimaryAttack()
	if SERVER then
		self:GetOwner():SetNWBool( "fahkeet", true )
		self:GetOwner():SetHealth( math.max( self:GetOwner():Health(), 25 ) )
		local ply = self.Owner
		timer.Create( ply:EntIndex() .. "healthcountdown", 0.75, 0, function()
			if IsValid( ply ) and ply:Alive() then
				ply:SetHealth( ply:Health() - 1 )
				if ply:Health() <= 0 then
					ply:Kill()
					timer.Remove( ply:EntIndex() .. "healthcountdown" )
				end
			end
		end )
		self:GetOwner():EmitSound( "npc/barnacle/barnacle_gulp" .. math.random( 1, 2 ) .. ".wav" )
		self:GetOwner():Say( "GOTTA GET A GRIP" )
		self:GetOwner():StripWeapon( "weapon_ttt_fahkeet" )
	end
end

if CLIENT then
	function SWEP:DrawWorldModel()
      if not IsValid(self:GetOwner()) then
         self:DrawModel()
      end
   end
end
